Tool: list_backups
List backups in a given project and location.
The following sample demonstrates how to use curl to invoke the list_backups MCP tool.
| Curl Request |
|---|
curl --location 'https://netapp.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_backups", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
ListBackupsRequest lists backups.
ListBackupsRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "orderBy": string, "filter": string } |
| Fields | |
|---|---|
parent |
Required. The backupVault for which to retrieve backup information, in the format |
pageSize |
The maximum number of items to return. The service may return fewer than this value. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
The next_page_token value to use if there are additional results to retrieve for this list request. |
orderBy |
Sort results. Supported values are "name", "name desc" or "" (unsorted). |
filter |
The standard list filter. If specified, backups will be returned based on the attribute name that matches the filter expression. If empty, then no backups are filtered out. See https://google.aip.dev/160 |
Output Schema
ListBackupsResponse is the result of ListBackupsRequest.
ListBackupsResponse
| JSON representation |
|---|
{
"backups": [
{
object ( |
| Fields | |
|---|---|
backups[] |
A list of backups in the project. |
nextPageToken |
The token you can use to retrieve the next page of results. Not returned if there are no more results in the list. |
unreachable[] |
Locations that could not be reached. |
Backup
| JSON representation |
|---|
{ "name": string, "state": enum ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the backup. Format: |
state |
Output only. The backup state. |
description |
A description of the backup with 2048 characters or less. Requests with longer descriptions will be rejected. |
volumeUsageBytes |
Output only. Size of the file system when the backup was created. When creating a new volume from the backup, the volume capacity will have to be at least as big. |
backupType |
Output only. Type of backup, manually created or created by a backup policy. |
sourceVolume |
The resource name of the volume that this backup belongs to. You must provide either |
createTime |
Output only. The time when the backup was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
labels |
Resource labels to represent user provided metadata. An object containing a list of |
chainStorageBytes |
Output only. Total size of all backups in a chain in bytes = baseline backup size + sum(incremental backup size) |
satisfiesPzs |
Output only. Reserved for future use |
satisfiesPzi |
Output only. Reserved for future use |
volumeRegion |
Output only. Region of the volume from which the backup was created. Format: |
backupRegion |
Output only. Region in which backup is stored. Format: |
enforcedRetentionEndTime |
Output only. The time until which the backup is not deletable. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
ontapSource |
Optional. Represents source details for ONTAP backups. Either source_volume or ontap_source should be provided. |
Union field
|
|
sourceSnapshot |
If specified, backup will be created from the given snapshot. If not specified, there will be a new snapshot taken to initiate the backup creation. Format: |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
LabelsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
OntapSource
| JSON representation |
|---|
{ "volumeUuid": string, "snapshotUuid": string, // Union field |
| Fields | |
|---|---|
volumeUuid |
Required. The UUID of the ONTAP source volume. |
snapshotUuid |
Optional. The UUID of the ONTAP source snapshot. |
Union field
|
|
storagePool |
Required. Name of the storage pool. This must be specified for creating backups for ONTAP mode volumes. Format: |
State
The Backup States
| Enums | |
|---|---|
STATE_UNSPECIFIED |
State not set. |
CREATING |
Backup is being created. While in this state, the snapshot for the backup point-in-time may not have been created yet, and so the point-in-time may not have been fixed. |
UPLOADING |
Backup is being uploaded. While in this state, none of the writes to the volume will be included in the backup. |
READY |
Backup is available for use. |
DELETING |
Backup is being deleted. |
ERROR |
Backup is not valid and cannot be used for creating new volumes or restoring existing volumes. |
UPDATING |
Backup is being updated. |
Type
Backup types.
| Enums | |
|---|---|
TYPE_UNSPECIFIED |
Unspecified backup type. |
MANUAL |
Manual backup type. |
SCHEDULED |
Scheduled backup type. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌